/* ============================================== */
/* ====== OVERRIDE DES REGLES INDESIRABLES ====== */
/* ============================================== */

:root{
    font-size: 16px;
}

#container {
    padding: 0;
}

form#identify{
    padding: 0;
    margin: 0;
}

#identify #dk_login, 
#identify #dk_password,
#identify #submit_identify {
    width: initial;
    border: none;
    padding: 0;
    margin: 0;
}

#identify #dk_login:focus,
#identify #dk_password:focus {
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
}

#identify #submit_identify {
    text-align: center;
    opacity: 1;
}

/* ============================================== */
/* =========== CORRECTIONS DU CONTENU =========== */
/* ============================================== */

#dk_logo{
    position: relative;
    top: -15px;
}

tr {
    background-color: black;
}


/* ============================================== */
/* ================= MES REGLES ================= */
/* ============================================== */
@import url('https://fonts.googleapis.com/css?family=Montserrat:300,400,500');

/* ========================== */
/* ==== Règles générales ==== */
/* ========================== */

nav a,
footer a {
    text-decoration: none;
}

body {
    background-color: black;
    background-image: url('../img/boite-a-plans-bg-darker.png');
    background-position: center center;
    background-repeat: no-repeat;
}

main {
    display: block;
    width: 96%;
    margin: 0;
    padding-left: 2%;
    padding-right: 2%;
}

/* ========================== */
/* ========= Textes ========= */
/* ========================== */
nav a {
    text-transform: uppercase;
}

footer a,
nav a,
#identify label,
#identify input {
    color: white;
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
}



/* ========================== */
/* ========= HEADER ========= */
/* ========================== */
header{
    position: relative;
    width: 100%;
    height: 10rem; /* Espace supplémentaire pour descendre le corps de la page du menu fixe */

    z-index: 100;
}

nav {
    position: fixed;
    width: 100%;
}

nav ul{
    display: block;
    width: 100%;
    max-width: 1000px;

    margin: 0 auto;
    padding: 0;
    box-sizing: border-box;
}

nav li{
    background-color: #222;
    border-right: 1px solid #191919;
    border-bottom: 3px solid #555;

    -webkit-transition: border-bottom 100ms ease-out;
    -moz-transition: border-bottom 100ms ease-out;
    -ms-transition: border-bottom 100ms ease-out;
    -o-transition: border-bottom 100ms ease-out;
    transition: border-bottom 100ms ease-out;
    
    box-sizing: border-box;
    display: inline-block;
    vertical-align: top;
    width: 16%;
    height: 100px;
}

nav li a,
nav li span {
    font-weight: 500;
}


/* Nav spéciaux */
nav li.nav-realisations {
	width: 32%;
}

nav li.facebook{
    background-color: #3b5998;
    background-image: url('../img/icons/fb.png');
    background-size: 21px 41px;
    background-repeat: no-repeat;
    background-position: center center;

    border-bottom: 3px solid #1f3460;
    
    width: 6%;
}

nav li.facebook:hover {
    border-bottom: 3px solid #1f3460;
    
    height: 105px;
}

nav li.logo{
    background-color: #1A1A1A;
    border-bottom: 3px solid #131313;
    
    width: 30%;
    height: 100px;

    padding-top: 10px; /* fallback */
    padding-bottom: 10px; /* fallback */

    vertical-align: middle;
}

nav li.logo img{
    position: relative;
    top: 50%;
    margin-top: -15%; /* That works IDK why DEBUG : Tester sur d'autres configs */

    display: block;
    width: 70%;

    margin-left: 15%;
    margin-right: 15%;
}

nav li.selected {
    border-bottom: 3px solid #ff9244;
}

/* Hover */
nav li:hover:not(.logo):not(.selected):not(.facebook){
    border-bottom: 3px solid #ff9244;
}

nav li.logo:hover{ /* Ne pas agrandir la taille */
    height: 100px;
}

nav li:hover {
    -webkit-transition: border-bottom 200ms ease-out;
    -moz-transition: border-bottom 200ms ease-out;
    -ms-transition: border-bottom 200ms ease-out;
    -o-transition: border-bottom 200ms ease-out;
    transition: border-bottom  200ms ease-out;

    -webkit-transition: height 200ms ease-out;
    -moz-transition: height 200ms ease-out;
    -ms-transition: height 200ms ease-out;
    -o-transition: height 200ms ease-out;
    transition: height  200ms ease-out;
}

/* nav li:hover ~ li.selected { /* Eteindre l'élément selectionné mais SEULEMENT LES SUIVANTS !
    border-bottom: 3px solid #555;
} */

/* A l'intérieur */
nav li a{
    position: relative;
    display: block;
    text-align: center;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    vertical-align: bottom;
}

nav li a span.icon{
    background-color: rgba(255, 255, 255, 0.2); /* COMPATIBILITE : Non fonctionnel sur IE8 */
    box-shadow: 0 0 0 15px transparent;

    border-radius: 25px;
    -webkit-border-radius: 25px;
    -moz-border-radius: 25px;
    -ms-border-radius: 25px;
    -o-border-radius: 25px;

	background-size: 35px 35px;
	background-position: center center;
	background-repeat: no-repeat;

    -webkit-transition: 400ms ease-out;
    -moz-transition: 400ms ease-out;
    -o-transition: 400ms ease-out;
    transition: 400ms ease-out;
    
    display: inline-block;
    width: 50px;
    height: 50px;

    position: relative;
    top: 12px;
}

nav li a span.text{
    display: block;
    position: absolute;
    text-align: center;

    width: 100%;
    font-size: 0.85rem;
    bottom: 12px;
}

.icon-contact{
	background-image: url('../img/icons/contact.png');
}

.icon-agence{
	background-image: url('../img/icons/notre-agence.png');
}

.icon-realisations{
	background-image: url('../img/icons/realisations.png');
}

.icon-boite{
	background-image: url('../img/icons/boite-a-plans.png');
}

nav li:hover a span.icon:not(.selected) {
    -webkit-box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.2);
    -moz-box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.2);
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.2);

    -webkit-transition: 400ms ease-out;
    -moz-transition: 400ms ease-out;
    -o-transition: 400ms ease-out;
    transition: 400ms ease-out;
}

/* =============================================== */
/* ============== BOITE DE CONNEXION ============= */
/* =============================================== */

/* #dokub #mainContent {
    width: 90%;
    max-width: 1600px;
    margin-left: 5%;
    margin-right: 5%;
    
    margin-left: auto;
    margin-right: auto;
} */

form#identify {
    border-top-right-radius: 2px;
    border-top-left-radius: 2px;
    border-bottom-right-radius: 2px;
    border-bottom-left-radius: 2px;
    background-color: black;
    border-bottom: 3px solid #ff9244;
    
    box-sizing: border-box;
    width: 100%;
    max-width: 300px;
    margin-left: auto;
    margin-right: auto;
    
    padding: 50px;
}

#identify:before,
#identify::before {
    content: 'Boite à plans';
    
    color: white;
    font-family: 'Montserrat', sans-serif;
    text-transform: uppercase;
    font-size: 3rem;
    font-weight: 100;
    line-height: 2.5rem;
    
    margin-bottom: 35px;
    
    text-align: center;
    display: block;
} 

#identify label {
    position: relative;
    display: block;
    
    font-size: 1rem;
    color: #aaa;
    margin-bottom: 5px;
}   

#identify #dk_login,
#identify #dk_password {
    -moz-box-sizing:border-box;
    -webkit-box-sizing:border-box;
    box-sizing:border-box;
    margin: 0;
    padding: 0;
    width: 100%;
    
    border: 0;
    display: block;
    padding: 10px;
    margin-bottom: 10px;
    
    background-color: #4d4d4d;
    color: #333;
}

#identify #submit_identify {
    text-transform: uppercase;
    font-weight: 400;
    font-size: 1rem;
    
    display: block;
    position: relative;
    max-width: 200px;
    width: 100%;

    margin-top: 20px;
    padding: 0.5rem;
    
    cursor: pointer;
    color: black;
    background-color: #ff9244;
    border-bottom: 5px solid #88462c;
}

#identify #submit_identify:active {
    top: 2px;
    border-bottom: 3px solid #88462c;
    margin-bottom: 2px;
}

/* ============================================ */
/* ================== Footer ================== */
/* ============================================ */
footer{
    box-sizing: border-box;

	text-align: right;

    width: 96%;
    margin: 50px 2% 30px 2%;
}

adress{
	display: inline-block; /* Compatibilité */
	text-align: right;
	font-size: 1.3rem;
}

adress a,
adress span {
	display: block;
}

adress a{
	font-size: 1rem;
	line-height: 1.4rem;
}

footer a,
footer span,
footer p {
    font-weight: 500;
    font-family: 'Montserrat', 'calibri', sans-serif;
    letter-spacing: -0.01rem; /* New style */

    opacity: 0.5; /* Compatibilité ! */
	transition: 50ms ease-out;
}

footer span{
    text-transform: uppercase;
}

footer a:hover,
footer a:active {
	opacity: 1; /* Compatibilité ! */
    
    text-decoration: none;
	transition: 50ms ease-in;
}


/* ================================ */
/* ========= MEDIAQUERIES ========= */
/* ================================ */
@media screen and (max-width : 500px){
    body header nav li span.text{
        display: none;
    }
	
	nav li,
	nav.nav-realisations{
        height: 71px;
    }
}

/* MOBILE ONLY car IE8 sans JS a déjà sa règle dans le Layout et qu'il ne comprends pas les médiasQueries*/
@media screen and (max-width : 600px){


    /* MENU */
    header{
        height: 7rem;
    }

    #projectPage header{
        height: 100px;
    }

    #projectPage #mainContent{
        padding-top: 0;
    }

    nav li.logo{
        display: none;
    }

    nav li,
	nav.nav-realisations{
        width: 30%;
        height: 85px;
    }

    nav li:hover{
        height: 95px;
    }

    nav li.facebook{
        width: 8%;
    }
}